Bug 178304 - auto.net does not handle pathes containing # properly
auto.net does not handle pathes containing # properly
Product: Fedora
Classification: Fedora
Component: autofs (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ian Kent
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2006-01-19 04:52 EST by Christian Iseli
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: autofs-4.1.4-17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-04 02:31:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christian Iseli 2006-01-19 04:52:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
There are cases (e.g., exported CDROM from Solaris) where the
remote path contains the hash character (#).
Since hash is special in a shell and auto.net uses a shell script to get
remote mount points, we hit a snag...

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.have an NFS server that exports a filesystem with a path that contains a hash
2.try to mount it through /net

Actual Results:  mount fails

Expected Results:  mount should succeed

Additional info:

This short patch works for me:
--- auto.net.orig       2006-01-19 10:55:11.000000000 +0100
+++ auto.net    2006-01-19 10:45:23.000000000 +0100
@@ -42,4 +42,4 @@ $SHOWMOUNT | LC_ALL=C sort -k 1 | \
        BEGIN   { ORS=""; first=1 }
                { if (first) { print opts; first=0 }; print " \\\n\t" $1, key ":" $1 }
        END     { if (!first) print "\n"; else exit 1 }
-       '
+       ' | sed 's/#/\\#/g'
Comment 1 Ian Kent 2006-05-03 22:24:54 EDT
An update has been applied for this bug Apr 11.

I believe it is fixed so if I don't hear otherwise I will
close this case tomorrow.

Comment 2 Christian Iseli 2006-05-04 02:20:55 EDT
Hi Ian,

Yes, this is now fixed by the update, so the ticket can be closed.


Note You need to log in before you can comment on or make changes to this bug.